READDIR(3)

NOM
readdir, readdir_r - Consulter un répertoire

SYNOPSIS
#include <dirent.h>

struct dirent *readdir(DIR *dir);

int readdir(DIR *dir, struct dirent *entry, struct dirent **result);

DESCRIPTION
La fonction readdir() renvoie un pointeur sur une structure dirent représentant l'entrée suivante du flux répertoire pointé par dir. Elle renvoie NULL à la fin du répertoire, ou en cas d'erreur.

Sous Linux, la structure dirent est définie de la façon suivante :

struct dirent {
    ino_t          d_ino;       /* numéro d'in